# CHANGELOG

## [2.1.9] - 2022-01-11

- Update authentication middleware
- Add support for service internal security

## [2.1.7] - 2022-01-09

- Return JWT decoded token in middlewares

## [2.1.5] - 2022-01-07

- Remove duplicated interfaces

## [2.1.4] - 2022-01-07

- Fix JWT input data

## [2.1.3] - 2022-01-07

- Add support for JWT controllers
- Add predefined constants

## [2.1.1] - 2022-01-04

- Fix data export

## [2.1.0] - 2022-01-03

- Update package dependencies
- Allow to validate JWT

## [2.0.3] - 2021-10-13

- Fix error responses: Add `data` field return to error

## [2.0.2] - 2021-09-26

- Update package dependencies

## [2.0.1] - 2021-08-04

- Fix source code merge with version 1.1.4
- Fix changelog date entry for version 2.0.0

## [2.0.0] - 2021-08-03

- Update error handler schema
- Update to @ikoabo/server version 2.0.0

## [1.1.4] - 2021-07-18

- Add confirm action
- Add resend action
- Add recover actions
- Add validation action

## [1.1.3] - 2021-07-18

- Fix credential utility class export

## [1.1.2] - 2021-07-18

- Addings header authorization credential parser

## [1.1.1] - 2021-07-18

- Addings auth server actions controller
- Refactor internal source code
- Adding data types for auth handling

## [1.1.0] - 2021-07-17

- Update errors definition
- Fix url to login
- Handle project in auth urls

## [1.0.19] - 2020-10-19

- Adding query bearer token authentication if no header present

## [1.0.18] - 2020-10-13

- Return username on authentication validation

## [1.0.17] - 2020-09-04

- Add middleware to allow pass access token into query parameters

## [1.0.16] - 2020-09-03

- Fix scope AND validation
- Replace request dependencie by axios
- Add axios interceptor
- Update dependencies

## [1.0.14] - 2020-08-23

- Initial public version
- Predefined authentication error constants
- Authentication middleware
- Authentication scope validation
